defaultNamespace: example-authenticated-workload
helm:
  releaseName: authn
  repo: https://oauth2-proxy.github.io/manifests
  chart: oauth2-proxy
  values:
    config:
      existingSecret: authn
      configFile: |-
        upstreams=["file:///dev/null"]
        cookie_secure=true
        email_domains = [ "*" ] 
        insecure_oidc_allow_unverified_email=true
        reverse_proxy=true
        set_xauthrequest=false
        set_authorization_header=false
        pass_authorization_header=false
        pass_host_header=false
        pass_user_headers=false
        pass_access_token=false
        scope="openid email profile"
        oidc_issuer_url="https://idp.qux.icu/auth/realms/demo" 
        provider="oidc"
        provider_display_name="Keycloak"
      cookieName: _qux_oauth2_proxy
    extraEnv:
    - name: OAUTH2_PROXY_REDIS_PASSWORD
      valueFrom:
        secretKeyRef:
          key: redis-password
          name: redis-password
    sessionStorage:
      type: redis
      redis:
        clientType: standalone
        standalone:
          connectionUrl: redis://sessions-db-redis-master:6379/1
    redis:
      enabled: false
    ingress:
      enabled: true
      path: /oauth2
      pathType: Prefix
      annotations:
        cert-manager.io/cluster-issuer: letsencrypt-prod
      hosts:
        - qux.icu
      tls:
        - hosts:
            - qux.icu
          secretName: hello-world-tls
    podAnnotations:
      linkerd.io/inject: enabled